Subject: Re: [PATCH 2/2] format-patch: add an option to suppress commit hash

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Dec 2015 10:18:28 -0800

"brian m. carlson" <[email-masked]> writes:

>> Don't test "any number of '0'"; test 40 '0's.  This is because the
>> line format was designed to be usable by things like /etc/magic to
>> detect format-patch output, and we want to notice if/when we break
>> that aspect of our output format.
>
> My idea was to future-proof it against changes in the hash function,
> although that's in the distant future.

Making sure that the test fails when somebody accidentally lengthens
(or fails to truncate to 40-hex, when you start using a longer hash)
the displayed name there is a good future-proofing.

Thanks.